package com.simuwang.daq.components.report.parser.excel;

import cn.hutool.core.collection.ListUtil;
import com.simuwang.base.mapper.EmailFieldMappingMapper;
import com.simuwang.base.pojo.dto.report.CustomExcelTable;
import com.simuwang.base.pojo.dto.report.MonthlyReportData;
import com.simuwang.base.pojo.dto.report.ReportParserParams;
import com.simuwang.base.pojo.dto.report.SimpleTable;
import com.simuwang.daq.components.report.parser.ReportParserConstant;
import org.springframework.stereotype.Component;

import java.util.List;

@Component(ReportParserConstant.PARSER_EXCEL_MONTHLY)
public class ExcelMonthlyReportParser extends AbstractExcelReportParser<MonthlyReportData> {
    public ExcelMonthlyReportParser(EmailFieldMappingMapper fieldMappingMapper) {
        super(fieldMappingMapper);
    }

    @Override
    protected List<CustomExcelTable> customExcelTables() {
        List<CustomExcelTable> customExcelTables = ListUtil.list(true);
        customExcelTables.add(new CustomExcelTable("基金概况", 4, 1, 0));
        customExcelTables.add(new CustomExcelTable("净值月报", 5, 1, 2));
        customExcelTables.add(new CustomExcelTable("级基金净值表", 5, 1, 2));
        return customExcelTables;
    }

    @Override
    protected MonthlyReportData excelParse(List<SimpleTable> tables, ReportParserParams params) {
        return null;
    }

    @Override
    protected void cleaningReportData(MonthlyReportData reportData) {
        // todo 数据清理
    }
}
